Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 6)
@@ -381,7 +381,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM DailyDataField" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM DailyDataField" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 6)
@@ -402,7 +402,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM DailyDataMaterials" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM DailyDataMaterials" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 6)
@@ -379,7 +379,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM DailyDataSubcontractors" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM DailyDataSubcontractors" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 6)
@@ -414,7 +414,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM DailyDataVehicles" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM DailyDataVehicles" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudget.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudget.cs	(revision 6)
@@ -383,7 +383,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(ConstructionCode) FROM EstimateBudget" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(ConstructionCode), 0) FROM EstimateBudget" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs	(revision 6)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 積算見積データフィールド並び
         /// </summary>
-        public enum EstimateDataColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,   // 工事番号
             LineCount,              // 行番号
@@ -297,19 +297,19 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)EstimateDataColumn.ConstructionCode].ToString());  // 工事番号
-                wrk.LineCount = int.Parse(objwrk[(int)EstimateDataColumn.LineCount].ToString());                // 行番号
-                wrk.ComponentCode = int.Parse(objwrk[(int)EstimateDataColumn.ComponentCode].ToString());        // 構成キー
-                wrk.FixedItemCode = objwrk[(int)EstimateDataColumn.FixedItemCode].ToString();		            // 固定項目キー
-                wrk.ItemName = objwrk[(int)EstimateDataColumn.ItemName].ToString();      		                // 作業名称
-                wrk.WorkName = objwrk[(int)EstimateDataColumn.WorkName].ToString();      		                // 品質・形状・寸法
-                wrk.PriceValue = double.Parse(objwrk[(int)EstimateDataColumn.PriceValue].ToString());           // 金額
-                wrk.Note = objwrk[(int)EstimateDataColumn.Note].ToString();			                            // 備考
-                wrk.MyExpensesFlg = int.Parse(objwrk[(int)EstimateDataColumn.MyExpensesFlg].ToString());        // 自社経費フラグ
-                wrk.InputFlg = int.Parse(objwrk[(int)EstimateDataColumn.InputFlg].ToString());                  // 入力フラグ
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());  // 工事番号
+                wrk.LineCount = int.Parse(objwrk[(int)TableColumn.LineCount].ToString());                // 行番号
+                wrk.ComponentCode = int.Parse(objwrk[(int)TableColumn.ComponentCode].ToString());        // 構成キー
+                wrk.FixedItemCode = objwrk[(int)TableColumn.FixedItemCode].ToString();		            // 固定項目キー
+                wrk.ItemName = objwrk[(int)TableColumn.ItemName].ToString();      		                // 作業名称
+                wrk.WorkName = objwrk[(int)TableColumn.WorkName].ToString();      		                // 品質・形状・寸法
+                wrk.PriceValue = double.Parse(objwrk[(int)TableColumn.PriceValue].ToString());           // 金額
+                wrk.Note = objwrk[(int)TableColumn.Note].ToString();			                            // 備考
+                wrk.MyExpensesFlg = int.Parse(objwrk[(int)TableColumn.MyExpensesFlg].ToString());        // 自社経費フラグ
+                wrk.InputFlg = int.Parse(objwrk[(int)TableColumn.InputFlg].ToString());                  // 入力フラグ
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)EstimateDataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)EstimateDataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
@@ -340,7 +340,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(ConstructionCode) FROM EstimateData" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(ConstructionCode), 0) FROM EstimateData" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -410,6 +410,13 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
+                //strcmd = "UPDATE EstimateData SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += CreatePrimarykeyString(FromCode);
+
+                //// SQL実行
+                //if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs	(revision 6)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 積算見積ページデータフィールド並び
         /// </summary>
-        public enum EstimateDataBodyColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	// 工事番号
             PageCount,		        // ページ番号
@@ -303,18 +303,18 @@
             {
                 // データ取得
 
-                wrk.ConstructionCode = int.Parse(objwrk[(int)EstimateDataBodyColumn.ConstructionCode].ToString());	// 工事番号
-                wrk.PageCount = int.Parse(objwrk[(int)EstimateDataBodyColumn.PageCount].ToString());		        // ページ番号
-                wrk.Category = int.Parse(objwrk[(int)EstimateDataBodyColumn.Category].ToString());		            // ページ区分
-                wrk.UnionComponentCode = int.Parse(objwrk[(int)EstimateDataBodyColumn.UnionComponentCode].ToString());  // 所属構成キー
-                wrk.ComponentCode = int.Parse(objwrk[(int)EstimateDataBodyColumn.ComponentCode].ToString());	    // 構成キー
-                wrk.ItemCode = int.Parse(objwrk[(int)EstimateDataBodyColumn.ItemCode].ToString());		            // 工種キー
-                wrk.SelectComponent = int.Parse(objwrk[(int)EstimateDataBodyColumn.SelectComponent].ToString());	// 選択構成キー
-                wrk.PageTitle = objwrk[(int)EstimateDataBodyColumn.PageTitle].ToString();	                        // ページ表示名
-                wrk.DetailLineCount = int.Parse(objwrk[(int)EstimateDataBodyColumn.DetailLineCount].ToString());	// 選択構成キー
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());	// 工事番号
+                wrk.PageCount = int.Parse(objwrk[(int)TableColumn.PageCount].ToString());		        // ページ番号
+                wrk.Category = int.Parse(objwrk[(int)TableColumn.Category].ToString());		            // ページ区分
+                wrk.UnionComponentCode = int.Parse(objwrk[(int)TableColumn.UnionComponentCode].ToString());  // 所属構成キー
+                wrk.ComponentCode = int.Parse(objwrk[(int)TableColumn.ComponentCode].ToString());	    // 構成キー
+                wrk.ItemCode = int.Parse(objwrk[(int)TableColumn.ItemCode].ToString());		            // 工種キー
+                wrk.SelectComponent = int.Parse(objwrk[(int)TableColumn.SelectComponent].ToString());	// 選択構成キー
+                wrk.PageTitle = objwrk[(int)TableColumn.PageTitle].ToString();	                        // ページ表示名
+                wrk.DetailLineCount = int.Parse(objwrk[(int)TableColumn.DetailLineCount].ToString());	// 選択構成キー
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)EstimateDataBodyColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)EstimateDataBodyColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
@@ -375,6 +375,13 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
+                //strcmd = "UPDATE EstimateDataBody SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += CreatePrimarykeyString(FromCode);
+
+                //// SQL実行
+                //if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs	(revision 6)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 積算見積データ明細フィールド並び
         /// </summary>
-        public enum EstimateDataDetailColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	// 工事番号
             PageCount,		        // ページ番号
@@ -341,26 +341,26 @@
             {
                 // データ取得
 
-                wrk.ConstructionCode = int.Parse(objwrk[(int)EstimateDataDetailColumn.ConstructionCode].ToString());	// 工事番号
-                wrk.PageCount = int.Parse(objwrk[(int)EstimateDataDetailColumn.PageCount].ToString());		            // ページ番号
-                wrk.LineCount = int.Parse(objwrk[(int)EstimateDataDetailColumn.LineCount].ToString());		            // 行番号
-                wrk.DataType = int.Parse(objwrk[(int)EstimateDataDetailColumn.DataType].ToString());	                // データタイプ
-                wrk.ComponentCode = int.Parse(objwrk[(int)EstimateDataDetailColumn.ComponentCode].ToString());	        // 構成キー（行）
-                wrk.ItemCode = int.Parse(objwrk[(int)EstimateDataDetailColumn.ItemCode].ToString());		            // 工種キー
-                wrk.SpecCode = int.Parse(objwrk[(int)EstimateDataDetailColumn.SpecCode].ToString());		            // 規格・寸法キー
-                wrk.ItemName = objwrk[(int)EstimateDataDetailColumn.ItemName].ToString();		                        // 作業名称
-                wrk.SpecName = objwrk[(int)EstimateDataDetailColumn.SpecName].ToString();		                        // 作業／品質・形状・寸法
-                wrk.UnitCount = double.Parse(objwrk[(int)EstimateDataDetailColumn.UnitCount].ToString());		        // 数量
-                wrk.UnitName = objwrk[(int)EstimateDataDetailColumn.UnitName].ToString();		                        // 単位
-                wrk.UnitPrice = double.Parse(objwrk[(int)EstimateDataDetailColumn.UnitPrice].ToString());		        // 単価
-                wrk.LineTotal = double.Parse(objwrk[(int)EstimateDataDetailColumn.LineTotal].ToString());		        // 金額
-                wrk.Note = objwrk[(int)EstimateDataDetailColumn.Note].ToString();			                            // 備考
-                wrk.CompanyCode = int.Parse(objwrk[(int)EstimateDataDetailColumn.CompanyCode].ToString());		        // 協力会社コード
-                wrk.MyExpensesFlg = int.Parse(objwrk[(int)EstimateDataDetailColumn.MyExpensesFlg].ToString());          // 自社経費フラグ
-                wrk.InputFlg = int.Parse(objwrk[(int)EstimateDataDetailColumn.InputFlg].ToString());                    // 入力フラグ
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());	// 工事番号
+                wrk.PageCount = int.Parse(objwrk[(int)TableColumn.PageCount].ToString());		            // ページ番号
+                wrk.LineCount = int.Parse(objwrk[(int)TableColumn.LineCount].ToString());		            // 行番号
+                wrk.DataType = int.Parse(objwrk[(int)TableColumn.DataType].ToString());	                // データタイプ
+                wrk.ComponentCode = int.Parse(objwrk[(int)TableColumn.ComponentCode].ToString());	        // 構成キー（行）
+                wrk.ItemCode = int.Parse(objwrk[(int)TableColumn.ItemCode].ToString());		            // 工種キー
+                wrk.SpecCode = int.Parse(objwrk[(int)TableColumn.SpecCode].ToString());		            // 規格・寸法キー
+                wrk.ItemName = objwrk[(int)TableColumn.ItemName].ToString();		                        // 作業名称
+                wrk.SpecName = objwrk[(int)TableColumn.SpecName].ToString();		                        // 作業／品質・形状・寸法
+                wrk.UnitCount = double.Parse(objwrk[(int)TableColumn.UnitCount].ToString());		        // 数量
+                wrk.UnitName = objwrk[(int)TableColumn.UnitName].ToString();		                        // 単位
+                wrk.UnitPrice = double.Parse(objwrk[(int)TableColumn.UnitPrice].ToString());		        // 単価
+                wrk.LineTotal = double.Parse(objwrk[(int)TableColumn.LineTotal].ToString());		        // 金額
+                wrk.Note = objwrk[(int)TableColumn.Note].ToString();			                            // 備考
+                wrk.CompanyCode = int.Parse(objwrk[(int)TableColumn.CompanyCode].ToString());		        // 協力会社コード
+                wrk.MyExpensesFlg = int.Parse(objwrk[(int)TableColumn.MyExpensesFlg].ToString());          // 自社経費フラグ
+                wrk.InputFlg = int.Parse(objwrk[(int)TableColumn.InputFlg].ToString());                    // 入力フラグ
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)EstimateDataDetailColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)EstimateDataDetailColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
@@ -389,7 +389,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(LineCount) FROM EstimateDataDetail" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(LineCount), 0) FROM EstimateDataDetail" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -462,6 +462,13 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
+                //strcmd = "UPDATE EstimateDataDetail SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += CreatePrimarykeyString(FromCode);
+
+                //// SQL実行
+                //if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputSearchLogData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputSearchLogData.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputSearchLogData.cs	(revision 6)
@@ -347,7 +347,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DisplayOrder) FROM InputSearchLogData" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DisplayOrder), 0) FROM InputSearchLogData" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMApproval.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMApproval.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMApproval.cs	(revision 6)
@@ -296,7 +296,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM ApprovalMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM ApprovalMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 6)
@@ -260,7 +260,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(BusinessTypeCode) FROM BusinessTypeMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(BusinessTypeCode), 0) FROM BusinessTypeMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 6)
@@ -324,7 +324,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(LargeCode) FROM CommonCostLarge" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(LargeCode), 0) FROM CommonCostLarge" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs	(revision 6)
@@ -306,7 +306,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DisplsyOrder) FROM CommonCostLinkMS" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DisplsyOrder), 0) FROM CommonCostLinkMS" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddle.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddle.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostMiddle.cs	(revision 6)
@@ -329,7 +329,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(MiddleCode) FROM CommonCostMiddle" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(MiddleCode), 0) FROM CommonCostMiddle" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponent.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponent.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponent.cs	(revision 6)
@@ -334,7 +334,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(ComponentCode) FROM ComponentMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(ComponentCode), 0) FROM ComponentMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentLink.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMComponentLink.cs	(revision 6)
@@ -306,7 +306,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DisplsyOrder) FROM ComponentLinkMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DisplsyOrder), 0) FROM ComponentLinkMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionItem.cs	(revision 6)
@@ -357,7 +357,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(ItemCode) FROM ConstructionItemMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(ItemCode), 0) FROM ConstructionItemMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpec.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpec.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpec.cs	(revision 6)
@@ -367,7 +367,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SpecCode) FROM ConstructionSpecMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SpecCode), 0) FROM ConstructionSpecMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -427,7 +427,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DisplayOrder) FROM ConstructionSpecMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DisplayOrder), 0) FROM ConstructionSpecMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpecUnitPrice.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpecUnitPrice.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionSpecUnitPrice.cs	(revision 6)
@@ -324,7 +324,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SpecCode) FROM ConstructionSpecUnitPrice" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SpecCode), 0) FROM ConstructionSpecUnitPrice" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMConstructionTypeMaster.cs	(revision 6)
@@ -347,7 +347,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(TypeCode) FROM ConstructionTypeMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(TypeCode), 0) FROM ConstructionTypeMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -384,7 +384,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DisplayOrder) FROM ConstructionTypeMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DisplayOrder), 0) FROM ConstructionTypeMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs	(revision 6)
@@ -332,7 +332,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DepartmentCode) FROM DepartmentMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DepartmentCode), 0) FROM DepartmentMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartmentExpenses.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartmentExpenses.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartmentExpenses.cs	(revision 6)
@@ -344,7 +344,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(NameCode) FROM DepartmentExpensesMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(NameCode), 0) FROM DepartmentExpensesMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDivision.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDivision.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDivision.cs	(revision 6)
@@ -323,7 +323,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(NameCode) FROM DivisionMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(NameCode), 0) FROM DivisionMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMExpenses.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMExpenses.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMExpenses.cs	(revision 6)
@@ -323,7 +323,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(NameCode) FROM ExpensesMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(NameCode), 0) FROM ExpensesMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMOrderers.cs	(revision 6)
@@ -340,7 +340,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(OrderersCode) FROM OrderersMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(OrderersCode), 0) FROM OrderersMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -399,7 +399,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DisplayOrder) FROM OrderersMaster" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DisplayOrder), 0) FROM OrderersMaster" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
